Loading...
Searching...
No Matches
pcl::cuda::CovarianceMatrix Struct Reference

misnamed class holding a 3x3 matrix More...

`#include </build/pcl-oe1NcQ/pcl-1.14.0+dfsg/cuda/common/include/pcl/cuda/point_cloud.h>`

## Public Attributes

float3 | data [3]

## Detailed Description

misnamed class holding a 3x3 matrix

Definition at line 49 of file point_cloud.h.

## Member Data Documentation

## data

float3 pcl::cuda::CovarianceMatrix::data[3]

Definition at line 51 of file point_cloud.h.

Referenced by pcl::cuda::computeCovariance(), pcl::cuda::OrganizedRadiusSearch< CloudPtr >::computeCovarianceOnline(), pcl::cuda::computeRoots(), pcl::cuda::eigen33(), pcl::cuda::ComputeCovarianceForPoint::operator()(), pcl::cuda::AddCovariances::operator()(), and pcl::cuda::NormalEstimationKernel< Storage >::operator()().

The documentation for this struct was generated from the following file:

- /build/pcl-oe1NcQ/pcl-1.14.0+dfsg/cuda/common/include/pcl/cuda/point_cloud.h